summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2023-04-25 11:07:36 +0100
committerPádraig Brady <P@draigBrady.com>2023-04-25 11:17:54 +0100
commitcc078f747f3db00e70b2ae2ad2ab34e8d54316d3 (patch)
tree17b8469d7af762a1779975bcd597180bf5384c41 /tests/mv
parent7ea7c020e844687eec15fc4749760bb29dee541a (diff)
downloadcoreutils-cc078f747f3db00e70b2ae2ad2ab34e8d54316d3.tar.gz
copy: reduce verbosity of -i and -u with --verbose
Since skipping of files is central to the operation of -i and -u, and with -u one may be updating few files out of many, reinstate the verbosity of this functionality as it was before 9.3. * src/copy.c (copy_internal): Only output "skipped" message with --debug. Also adjust so message never changes with --debug. * tests/cp/cp-i.sh: Adjust accordingly. * tests/mv/mv-n.sh: Likewise. * tests/cp/debug.sh: Add explicit test case for message. * NEWS: Mention the change in behavior.
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/mv-n.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/mv/mv-n.sh b/tests/mv/mv-n.sh
index 45d74eb93..60547807c 100755
--- a/tests/mv/mv-n.sh
+++ b/tests/mv/mv-n.sh
@@ -23,14 +23,13 @@ print_ver_ mv
# test miscellaneous combinations of -f -i -n parameters
touch a b || framework_failure_
echo "renamed 'a' -> 'b'" > out_move
-echo "skipped 'b'" > out_skip || framework_failure_
echo "mv: not replacing 'b'" > err_skip || framework_failure_
> out_empty
# ask for overwrite, answer no
touch a b || framework_failure_
echo n | returns_ 1 mv -vi a b 2>/dev/null > out1 || fail=1
-compare out1 out_skip || fail=1
+compare out1 out_empty || fail=1
# ask for overwrite, answer yes
touch a b || framework_failure_
@@ -40,7 +39,7 @@ compare out2 out_move || fail=1
# -n wins (as the last option)
touch a b || framework_failure_
echo y | returns_ 1 mv -vin a b 2>/dev/null > out3 || fail=1
-compare out3 out_skip || fail=1
+compare out3 out_empty || fail=1
# -n wins (non verbose)
touch a b || framework_failure_
@@ -51,12 +50,12 @@ compare err3 err_skip || fail=1
# -n wins (as the last option)
touch a b || framework_failure_
echo y | returns_ 1 mv -vfn a b 2>/dev/null > out4 || fail=1
-compare out4 out_skip || fail=1
+compare out4 out_empty || fail=1
# -n wins (as the last option)
touch a b || framework_failure_
echo y | returns_ 1 mv -vifn a b 2>/dev/null > out5 || fail=1
-compare out5 out_skip || fail=1
+compare out5 out_empty || fail=1
# options --backup and --no-clobber are mutually exclusive
touch a || framework_failure_